Skip to main content

News

Recent Posts

1
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Defiant -
I'm old and don't like change haha, one day I'll adapt... one day...
2
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Fat Cerberus -
You had an excuse before as Duktape wasn't *that* much faster, but now you're missing out on blazing fast JS by sticking with 1.5 ;)
3
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Defiant -
I had that issue with an older laptop as well. The machine is likely too old and doesn't like converting a 64 bit program down to a 32 bit environment, it works now ever since I got a newer laptop. But I still use 1.5, too stubborn to convert to miniSphere.
4
Engine Development / Re: miniSphere 5.2.7
Last post by Fat Cerberus -
Yeah, the default project has been broken since miniSphere 5.0.0, that release changed the API significantly compared to 4.8 but it seems that I neglected to test creating a new project before I did the release.  I'll fix this in 5.2.8.  There was also a separate, more serious issue I discovered where several APIs are missing due to a bug in apiLevel handling.

Note that API Level 1 is frozen since 5.0.0 (the system modules are not, but I do try not to break them unnecessarily), so breakage like this should be minimized going forward.
5
Engine Development / Re: miniSphere 5.2.7
Last post by Rukiri -
Was image replaced with something else? It was completely remove from the sphere-runetime and game-modules, however Sphere Studio will still call the default project which still uses the image module.

Or am I missing something?
6
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Miscreant -
Tried to install miniSphere back to 4.2. Still couldn't get it to run. Sphere 1.5 it is until I can acquire a dev machine that can actually handle newer tech.
7
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Miscreant -
@Rhuan I'm not really sure. I haven't tried to install a version of miniSphere on this machine yet. I can attempt an install and see what happens.

Update:

Attempted to install miniSphere 4.5.11 - It would seem that this machine can not handle the installation.
8
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Rhuan -
Could this older machine perhaps run miniSphere 4.x? that should run on somewhat older machines and whilst no longer supported should be a bit better to work with than Sphere 1.5 I'd think.
9
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Fat Cerberus -
The minimum requirement to run ChakraCore (the JavaScript engine miniSphere uses since 5.0) is Windows 7 SP1 so there's probably no hope of getting miniSphere to run on that machine, unfortunately. :(
10
Projects / Re: Project ZeC (My Zelda-esque Clone)
Last post by Miscreant -
Quick Edit:

While I would prefer to once again be programming with miniSphere, I don't want to sound overly negative about the age of the dev machine (WinXP circa 2006-2007). I am glad to be able to be continuing programming ZeC. It has been on hiatus for quite a while now.  However, now I get to go back to programming that pesky bomb function...